| Home | Libraries | People | FAQ | More

##### ssl::stream::handshake (1 of 2 overloads)

Perform SSL handshaking.

    void handshake(
        handshake_type type);

This function is used to perform SSL handshaking on the stream. The function call will block until handshaking is complete or an error occurs.

###### Parameters

type

  The type of handshaking to be performed, i.e. as a client or as a server.

###### Exceptions

boost::system::system_error

  Thrown on failure.